--- |
<% 
  tag_links = []
  post.tags.each do |tag| 
    tag_links << link_to(tag, :tag=>tag)
  end
%>
<div class="entry">
  <h3><%= (from != :post) ? link_to(post.title, :post=>post) : post.title %></h3>
  <div class="meta">
    Posted <%= post.publish_date %>, tagged: <%= tag_links.join(', ') %>.
  </div>
  <div class="body">
    <%= render :content=>post %>
  </div>
</div>